org.jboss.jca.embedded.dsl.resourceadapters12.api

## Interface WorkmanagerSecurityMappingsGroupsType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface WorkmanagerSecurityMappingsGroupsType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `workmanagerSecurityMappingsGroupsType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>>` | `createMap()` Creates a new `map` element
    `java.util.List<WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>>>` | `getAllMap()` Returns all `map` elements
    `WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>>` | `getOrCreateMap()` If not already created, a new `map` element will be created and returned.
    `WorkmanagerSecurityMappingsGroupsType<T>` | `removeAllMap()` Removes all `map` elements

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateMap

          WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>> getOrCreateMap()

      If not already created, a new `map` element will be created and returned. Otherwise, the first existing `map` element will be returned.
      Returns:
        the instance defined for the element `map`

    - #### createMap

          WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>> createMap()

      Creates a new `map` element
      Returns:
        the new created instance of `WorkmanagerSecurityMappingType>`

    - #### getAllMap

          java.util.List<WorkmanagerSecurityMappingType<WorkmanagerSecurityMappingsGroupsType<T>>> getAllMap()

      Returns all `map` elements
      Returns:
        list of `map`

    - #### removeAllMap

          WorkmanagerSecurityMappingsGroupsType<T> removeAllMap()

      Removes all `map` elements
      Returns:
        the current instance of `WorkmanagerSecurityMappingType>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)